<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE erlref SYSTEM "erlref.dtd">

<erlref>
  <header>
    <copyright>
      <year>2003</year><year>2013</year>
      <holder>Ericsson AB. All Rights Reserved.</holder>
    </copyright>
    <legalnotice>
      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at
 
          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
    
    </legalnotice>

    <title>otp_mib</title>
    <prepared>Ingela Anderton</prepared>
    <docno></docno>
    <date></date>
    <rev></rev>
  </header>
  <module>otp_mib</module>
  <modulesummary>Handles the OTP-MIB</modulesummary>
  <description>
    <p>The SNMP application should be used to start an SNMP agent. Then
      the API functions below can be used to load/unload the OTP-MIB
      into/from the agent. The instrumentation of the OTP-MIB uses
      Mnesia, hence Mnesia must be started prior to loading the OTP-MIB.</p>
  </description>
  <funcs>
    <func>
      <name>load(Agent) -> ok | {error, Reason}</name>
      <fsummary>Load the OTP-MIB</fsummary>
      <type>
        <v>Agent = pid() | atom()</v>
        <v>Reason = term()</v>
      </type>
      <desc>
        <p>Loads the OTP-MIB.</p>
      </desc>
    </func>
    <func>
      <name>unload(Agent) -> ok | {error, Reason}</name>
      <fsummary>Unload the OTP-MIB</fsummary>
      <type>
        <v>Agent = pid() | atom()</v>
        <v>Reason = term()</v>
      </type>
      <desc>
        <p>Unloads the OTP-MIB.</p>
      </desc>
    </func>
  </funcs>

  <section>
    <title>See Also</title>
    <p>snmp(3)</p>
  </section>
</erlref>


